#--Importa la libreria de modelos DJANGO
from django.db import models
#--Importa la bilbioteca de fechas de DJANGO
from datetime import date
#--Importa el modelo para Grupo
from grupos.models import Grupo
# Clase que crea el modelo para Campo Cuenta
class Campo_Cuenta(models.Model):
	#--Llave primaria para campo cuenta
	id_campo_cuenta = models.AutoField(primary_key=True)
	#--Registra el modelo de Grupo
	id_grupo = models.ForeignKey(Grupo)
	#--Catalogo del Campo Cuenta
	catalogo = models.CharField(max_length=100)
	#--Auxiliar del Campo Cuenta
	auxiliar = models.CharField(max_length=100, null=True)
	#--Valor del Campo Cuenta 
	valor = models.CharField(max_length=100)
	#--Descripcion de Campo Cuenta 
	valor_descripcion = models.CharField(max_length=200)
	#--Tercero del Campo Cuenta
	tercero = models.CharField(max_length=20, null=True)
	#--Clase que define el nombre de la tabla Campo Cuenta 
	class Meta:
		#--Definicion del nombre de la tabla Campo Cuenta en la Base de datos
		db_table = u'ic_campo_cuenta'
	#--Retorno de busqueda de DJANGO, en este caso por Id
	def __unicode__(self):
		return str(self.id_campo_cuenta)
